import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { ValueObject } from '@s-ui/domain';
export var EnumSharedValueObject = /*#__PURE__*/function (_ValueObject) {
  _inheritsLoose(EnumSharedValueObject, _ValueObject);
  function EnumSharedValueObject() {
    return _ValueObject.apply(this, arguments) || this;
  }
  var _proto = EnumSharedValueObject.prototype;
  _proto.getValue = function getValue() {
    return this._value;
  };
  _proto.setValue = function setValue(value) {
    this._value = value;
    this.validate();
  };
  _proto.getAvailableValues = function getAvailableValues() {
    return this._availableValues;
  };
  _proto.setAvailableValues = function setAvailableValues(availableValues) {
    this._availableValues = availableValues;
  };
  _proto.validate = function validate() {
    if (Object.values(this._availableValues).includes(this._value) === false) {
      throw new Error(this._value + " is not an available value");
    }
  };
  _proto.toJSON = function toJSON() {
    return this._value;
  };
  return EnumSharedValueObject;
}(ValueObject);