import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { Service } from '@s-ui/domain';
export var MarkErrorTaskService = /*#__PURE__*/function (_Service) {
  _inheritsLoose(MarkErrorTaskService, _Service);
  function MarkErrorTaskService(_ref) {
    var _this;
    var config = _ref.config,
      taskRepository = _ref.taskRepository;
    _this = _Service.call(this) || this;
    _this._config = config;
    _this._taskRepository = taskRepository;
    return _this;
  }
  var _proto = MarkErrorTaskService.prototype;
  _proto.getErroredWorkFromTask = function getErroredWorkFromTask(task) {
    var _this2 = this;
    return task._work.getWork().filter(function (work) {
      return work._status.getValue() === _this2._config.get('AVAILABLE_STATUS').ERROR;
    });
  };
  _proto.execute = function execute() {
    var _this3 = this;
    var tasks = this._taskRepository.getInProgressTasks();
    var updatedTasks = tasks.map(function (task) {
      var erroredWork = _this3.getErroredWorkFromTask(task);
      if (erroredWork.length === 0) {
        return task;
      }
      task.markAsError();
      return task;
    });
    return this._taskRepository.updateTasks(updatedTasks);
  };
  return MarkErrorTaskService;
}(Service);