import { TaskEntitiesFactory } from '../Entities/factory.js';
import { TaskRepositoriesFactory } from '../Repositories/factory.js';
import { CancelWorkTaskService } from './CancelWorkTaskService.js';
import { ErrorWorkTaskService } from './ErrorWorkTaskService.js';
import { FinishWorkTaskService } from './FinishWorkTaskService.js';
import { MarkErrorTaskService } from './MarkErrorTaskService.js';
import { ProcessInProgressTaskService } from './ProcessInProgressTaskService.js';
import { ProcessQueuedTaskService } from './ProcessQueuedTaskService.js';
import { RunSimpleTaskService } from './RunSimpleTaskService.js';
import { RunTaskService } from './RunTaskService.js';
import { SetWorkPercentageTaskService } from './SetWorkPercentageTaskService.js';
export var TaskServicesFactory = function TaskServicesFactory() {};
TaskServicesFactory.runSimpleTaskService = function (_ref) {
  var config = _ref.config,
    localState = _ref.localState;
  return new RunSimpleTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    }),
    taskEntityFactory: TaskEntitiesFactory.taskEntity
  });
};
TaskServicesFactory.runTaskService = function (_ref2) {
  var config = _ref2.config,
    localState = _ref2.localState;
  return new RunTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    }),
    taskEntityFactory: TaskEntitiesFactory.taskEntity
  });
};
TaskServicesFactory.setWorkPercentageTaskService = function (_ref3) {
  var config = _ref3.config,
    localState = _ref3.localState;
  return new SetWorkPercentageTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    })
  });
};
TaskServicesFactory.finishWorkTaskService = function (_ref4) {
  var config = _ref4.config,
    localState = _ref4.localState;
  return new FinishWorkTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    })
  });
};
TaskServicesFactory.cancelWorkTaskService = function (_ref5) {
  var config = _ref5.config,
    localState = _ref5.localState;
  return new CancelWorkTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    })
  });
};
TaskServicesFactory.errorWorkTaskService = function (_ref6) {
  var config = _ref6.config,
    localState = _ref6.localState;
  return new ErrorWorkTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    })
  });
};
TaskServicesFactory.processQueuedTaskService = function (_ref7) {
  var config = _ref7.config,
    localState = _ref7.localState;
  return new ProcessQueuedTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    })
  });
};
TaskServicesFactory.processInProgressTaskService = function (_ref8) {
  var config = _ref8.config,
    localState = _ref8.localState;
  return new ProcessInProgressTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    })
  });
};
TaskServicesFactory.markErrorTaskService = function (_ref9) {
  var config = _ref9.config,
    localState = _ref9.localState;
  return new MarkErrorTaskService({
    config: config,
    taskRepository: TaskRepositoriesFactory.localStateTaskRepository({
      config: config,
      localState: localState
    })
  });
};