import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import useMount from '@s-ui/react-hooks/lib/useMount/index.js';
var useDomainEventSubscriptions = function useDomainEventSubscriptions(domain, executeUseCase) {
  useMount(function () {
    var subscriptions = [];
    subscriptions.push(domain.get('run_simple_task_use_case').subscribe(function (_ref) {
      var result = _ref.result;
      return executeUseCase('process_queued_task_use_case', {
        localState: result
      });
    }), domain.get('run_task_use_case').subscribe(function (_ref2) {
      var result = _ref2.result;
      return executeUseCase('process_queued_task_use_case', {
        localState: result
      });
    }), domain.get('finish_work_task_use_case').subscribe(function (_ref3) {
      var result = _ref3.result;
      return executeUseCase('process_in_progress_task_use_case', {
        localState: result
      });
    }),
    /* domain.get('cancel_work_task_use_case')
      .subscribe(({result}) => executeUseCase('process_task_use_case',{localState: result})), */
    domain.get('error_work_task_use_case').subscribe( /*#__PURE__*/function () {
      var _ref5 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(_ref4) {
        var result, nextState;
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              result = _ref4.result;
              _context.next = 3;
              return domain.get('mark_error_task_use_case').execute({
                localState: result
              });
            case 3:
              nextState = _context.sent;
              executeUseCase('process_in_progress_task_use_case', {
                localState: nextState
              });
            case 5:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      return function (_x) {
        return _ref5.apply(this, arguments);
      };
    }()));
    return function () {
      return subscriptions.forEach(function (subscription) {
        return subscription.unsubscribe();
      });
    };
  });
};
export default useDomainEventSubscriptions;